Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453977 - init script problems
Summary: init script problems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: opensm
Version: 10
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 16:08 UTC by Pete Wyckoff
Modified: 2009-07-21 15:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-21 15:04:32 UTC


Attachments (Terms of Use)

Description Pete Wyckoff 2008-07-03 16:08:11 UTC
opensm-3.2.1-1.fc10.x86_64 on an fc9 up-to-date system.

opensm forks itself.  You can't do this:
    $prog $OPTIONS > /dev/null 2>&1 &
    OSM_PID=$!
Try something like:
    $prog $OPTIONS > /dev/null 2>&1 &
    sleep 1
    OSM_PID=$(pidofproc $prog)

These test expressions always err:
    while [ $cnt -lt 6 -a checkpid $OSM_PID -eq 0 ]; do
maybe something like:
    while [ $cnt -lt 6 ] && checkpid $OSM_PID; do
(two spots).

Missing ACTION, I hacked in a line at the bottom:
ACTION=$1
case $ACTION in

Comment 1 Doug Ledford 2008-09-17 03:07:41 UTC
I've checked a possible fix for this into fedora's CVS on the devel branch.  Can you please confirm if the updated script works properly for you?

Comment 2 Pete Wyckoff 2008-09-17 22:59:19 UTC
Cannot confirm as I no longer use opensm on any machines;
however, I read through your changes in the CVS and they
look good, fixing my suggested fixes and other problems.

Comment 3 Bug Zapper 2008-11-26 02:30:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.